2

I'm trying to install the koma-script package using MiKTeX console, but the error occurred in the middle of installing. Why does it happen? I attached the screenshot and copy the error info below here.

the error

GENERAL MIKTEX INFORMATION Date: 2020-07-27 15:17:11 MiKTeX: 2.9.6960
OS: Windows 10 Pro, 64-bit, build 18362 SharedSetup: no PathOkay: yes
LastUpdateCheck: 2019-02-01 16:19:09 LastUpdate: 2019-02-01 16:34:21
SystemAdmin: yes RootPrivileges: no AdminMode: no Root0:
C:\Users\eldon\AppData\Roaming\MiKTeX\2.9 Root1:
C:\Users\eldon\AppData\Local\MiKTeX\2.9 Root2:
C:\Users\eldon\AppData\Local\Programs\MiKTeX 2.9 Root3:
C:\ProgramData\MiKTeX\2.9 Root4: C:\Program Files\MiKTeX 2.9
UserInstall: C:\Users\eldon\AppData\Local\Programs\MiKTeX 2.9
UserConfig: C:\Users\eldon\AppData\Roaming\MiKTeX\2.9 UserData:
C:\Users\eldon\AppData\Local\MiKTeX\2.9 CommonInstall: C:\Program
Files\MiKTeX 2.9 CommonConfig: C:\ProgramData\MiKTeX\2.9 CommonData:
C:\ProgramData\MiKTeX\2.9 Invokers: non-existing/explorer

Warning: the following problems were detected:   1: it has been a long
time since updates were checked   2: installation is not up-to-date

ERROR DETAILS Program: C:\Users\eldon\AppData\Local\Programs\MiKTeX
2.9\miktex\bin\x64\miktex-console.exe Source: Libraries\MiKTeX\PackageManager\CurlWebSession.cpp:264 Error:
Transferred a partial file Details:    code: 18   url:
https://mirror.yongbok.net/ctan/systems/win32/miktex/tm/packages/koma-script.tar.lzma
4
  • 2
    The warning in the middle says "1: it has been a long time since updates were checked". You should resolve this first. Check for updates in console in user and admin mode. You should also regularly update (in the task menu) the package database (also for user and admin). Packages are sometimes changed and if your local database no longer fits to the online state you can get curious errors. Commented Jul 27, 2020 at 8:42
  • sorry normally miktex is installed in multiuser mode, but you seen to have a single user installation. In that case look for updates simply as user. Commented Jul 27, 2020 at 9:26
  • okay, but the issue still persist but with less warning. @UlrikeFischer Warning: the following problems were detected: 1: installation is not up-to-date
    – Aorstab
    Commented Jul 27, 2020 at 9:29
  • 1
    I'm giving up to search the solution. i just reinstall the miktex and it solve the problem.
    – Aorstab
    Commented Jul 28, 2020 at 8:22

1 Answer 1

1

It looks like there's some problem on the repository

I resolved the problem by include proxy when updating and change the source repository to japan HTTP. You can find free proxy here

Change Proxy

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .